Bug 186561 - squid: /etc/init.d/squid starts squid defect !!!
Summary: squid: /etc/init.d/squid starts squid defect !!!
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-24 13:37 UTC by Need Real Name
Modified: 2011-12-11 09:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 06:57:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
squid.conf from /etc/squid/ (123.37 KB, text/plain)
2006-03-24 13:37 UTC, Need Real Name
no flags Details
squid: runs with "service squid start" (1.44 KB, application/x-gzip)
2006-03-27 06:51 UTC, Need Real Name
no flags Details
squid: runs with "su - squid -c /usr/sbin/squid" (2.67 KB, application/x-gzip)
2006-03-27 06:52 UTC, Need Real Name
no flags Details
squid runs: "service squid start" - with no-digest in squid.conf (1.70 KB, application/x-gzip)
2006-03-27 15:11 UTC, Need Real Name
no flags Details

Description Need Real Name 2006-03-24 13:37:28 UTC
Sorry about my poor english, i am german

Description of problem:

squid do not run correct if it start with init-script /etc/init.d/squid

it runs if start with user root or squid like "squid -D"
squid runs

it is no right problem, user squid have the nessesery rights.

Version-Release number of selected component (if applicable):

Fedora Core 5

squid-2.5.STABLE13-1.FC5

How reproducible:


Steps to Reproduce:
1.service stop squid
2.su - squid (change /etc/passwd for login)
3./usr/sbin/squid -D
  
Actual results:


Expected results:


Additional info:

I Use a TrendMirco Viruswall as partent


If i start squid with init-script i become this error in /var/log/squid/cache.log


2006/03/24 14:38:32| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:32| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:32| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:32| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| Detected DEAD Parent: 192.168.111.112/8080/7
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| TCP connection to 192.168.111.112/8080 failed
2006/03/24 14:38:33| temporary disabling (Service Unavailable) digest from
192.168.111.112

Comment 1 Need Real Name 2006-03-24 13:37:28 UTC
Created attachment 126623 [details]
squid.conf from /etc/squid/

Comment 2 Need Real Name 2006-03-24 13:40:45 UTC
2006/03/24 14:38:33| temporary disabling (Service Unavailable) digest from
192.168.111.112
2006/03/24 14:43:34| Failed to select source for
'http://192.168.111.112:8080/squid-internal-periodic/store_digest'
2006/03/24 14:43:34|   always_direct = 0
2006/03/24 14:43:34|    never_direct = 1
2006/03/24 14:43:34|        timedout = 0
2006/03/24 14:43:34| temporary disabling (Service Unavailable) digest from
192.168.111.112

The TCP-Connection is OK:

telnet 192.168.111.112 8080
Trying 193.98.76.67...
Connected to 192.168.111.112 (192.168.111.112).
Escape character is '^]'.



Comment 3 Martin Stransky 2006-03-24 14:37:29 UTC
sure, run squid with "#service squid start"


Comment 4 Need Real Name 2006-03-24 15:22:40 UTC
yes i am sure !

if i run squid with: service squid start = squid dont work

if i run squid with: su - squid -c squid -D = squid works

Comment 5 Martin Stransky 2006-03-24 15:43:57 UTC
Could you please attach log files (from /var/log/squid) when squid works (run by
su - squid -c squid -D) and when it doesn't work (run by "service squid start")?

Comment 6 Need Real Name 2006-03-27 06:51:04 UTC
Created attachment 126795 [details]
squid: runs with "service squid start"

Comment 7 Need Real Name 2006-03-27 06:52:11 UTC
Created attachment 126796 [details]
squid: runs with "su - squid -c /usr/sbin/squid"

here is the squid OK

Comment 8 Martin Stransky 2006-03-27 09:34:43 UTC
If I understand well, problem appears only when you run "service squid start"
under the squid user? Does it work fine if you start in under root?

Comment 9 Need Real Name 2006-03-27 09:59:32 UTC
NO! it do not matter if i run it as user: root oder as user: squid

Comment 10 Martin Stransky 2006-03-27 14:45:31 UTC
Okay, and what is a problem if you run squid with "service squid start"? squid
will crash (it doesn't look so according to attached log), it doesn't work
properly (how do you test it?) or something else?

Could you check the "no-digest" options for your parent cache? (add it to this
line - "cache_peer 192.168.111.112 parent 8080 7 no-query")

Comment 11 Need Real Name 2006-03-27 15:10:24 UTC
I tryed:

cache_peer 193.98.76.67 parent 8080 7 no-query no-digest

please see "squid_log_NotOK_no-digest.tar.gz"

Comment 12 Need Real Name 2006-03-27 15:11:49 UTC
Created attachment 126822 [details]
squid runs: "service squid start" - with no-digest in squid.conf

Comment 13 Martin Stransky 2006-03-28 09:00:15 UTC
okay, but what is the problem? If you can't access to any page (like
www.linux.de/www.redhat.de in your log) it's a problem with configuration (and
your parent proxy) - see these (and many other mails from squid-mailing list)

http://www.squid-cache.org/mail-archive/squid-users/200508/0689.html
http://www.squid-cache.org/mail-archive/squid-users/200503/0291.html



Comment 14 Need Real Name 2006-03-28 09:42:53 UTC
my problem is, that all is OK (with parent) if i run squid with "su - squid -c
/usr/sbin/squid"

if i run with the same /etc/squid.conf the squid, with command: service squid
start) the proxy dont work !

Comment 15 Martin Stransky 2006-03-28 10:06:01 UTC
"the proxy dont work" is too vague. what doesn't work? you can't acess to pages
via proxy, squid daemon crasches or what?

Comment 16 Need Real Name 2006-03-28 10:11:58 UTC
soory about my poor english !


if i use "su - squid -c /usr/sbin/squid"
i can "surfing" the squid i using the parent proxy, and all is fine !


if i use "service squid start", i cant "surfing", the squid is not using
the parent proxy, (i can see this in the firewall log file)

i hope you understand what i meen !

thanks

Comment 17 Martin Stransky 2006-03-28 10:18:21 UTC
Yes, I understand but I need the error message which you mentioned.

Comment 18 Need Real Name 2006-03-28 11:14:34 UTC
In the Browser:

at fist time
-------------

ERROR
The requested URL could not be retrieved

--------------------------------------------------------------------------------

While trying to retrieve the URL: http://www.linux.de/ 

The following error was encountered: 

Connection to 192.168.111.112 Failed 
The system returned: 

    (13) Permission deniedThe remote host or network may be down. Please try the
request again. 

Your cache administrator is root. 



--------------------------------------------------------------------------------

Generated Tue, 28 Mar 2006 11:14:56 GMT by proxy02 (squid/2.5.STABLE13) 






if i press "refresh"
--------------------


ERROR
The requested URL could not be retrieved

--------------------------------------------------------------------------------

While trying to retrieve the URL: http://www.linux.de/ 

The following error was encountered: 

Unable to forward this request at this time. 
This request could not be forwarded to the origin server or to any parent
caches. The most likely cause for this error is that: 

The cache administrator does not allow this cache to make direct connections to
origin servers, and 
All configured parent caches are currently unreachable. 
Your cache administrator is root. 



--------------------------------------------------------------------------------

Generated Tue, 28 Mar 2006 11:16:18 GMT by proxy02 (squid/2.5.STABLE13) 






in /var/log/squid/cache.log



2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:14:56| Detected DEAD Parent: 192.168.111.112/8080/7
2006/03/28 13:14:56| TCP connection to 192.168.111.112/8080 failed
2006/03/28 13:16:18| Failed to select source for 'http://www.linux.de/'
2006/03/28 13:16:18|   always_direct = 0
2006/03/28 13:16:18|    never_direct = 1
2006/03/28 13:16:18|        timedout = 0


in /var/log/squid/access.log is nothing to see !!!

Comment 19 Martin Stransky 2006-03-30 08:29:24 UTC
It's definitely problem with your parent cache. For example, have you checked
ICP port on your parent proxy?

#         icp_port:  Used for querying neighbor caches about
#                    objects.  To have a non-ICP neighbor
#                    specify '7' for the ICP port and make sure the
#                    neighbor machine has the UDP echo port
#                    enabled in its /etc/inetd.conf file.

But I don't know why it works when you run squid via /usr/sbin/squid. Do you get
any error messages in browser if you run squid with /usr/sbin/squid?

Comment 20 Need Real Name 2006-03-30 09:21:28 UTC
icp_port config i have from portal.squidforum.de

i tryed

cache_peer 193.98.76.67 parent 8080 7 no-query

and

cache_peer 193.98.76.67 parent 8080 0 no-query


but the same problem !  with init-script squid dont runn correct !
with su - squid -c /usr/sbin/squid it runs !


No ErrorMessages in the Browser !

Comment 21 Need Real Name 2006-04-03 13:56:37 UTC
Sorry, is this what you need ?

Can i help somethin to find the problem ?

thanks

bye


Note You need to log in before you can comment on or make changes to this bug.